
## Physical Network Topology

<style>
  svg {
    width: 100%;
  }
</style>

---

#### Residential Network

```mermaid
graph TD;

    id0((Internet))
    id0 --- id1;

    id1{{Internet Service Provide Metropolitan Network}};
    id1 --- id2;

    subgraph sid1[Residential Building]
    id2[/Router\];

    id3[Server];
    id4[Desktop];
    id5[Laptop];
    id6[Tablet];
    id7[Smartphone];

    id2 --- id3;
    id2 --- id4;
    id2 --- id5;
    id2 --- id6;
    id2 --- id7;
    end

    style sid1 color:#222,fill:#68f,stroke:#000,stroke-width:2px

```

---

#### Enterprise Network


```mermaid
graph TD;

    id0((Internet))
    id0 --- id1;

    id1{{Internet Service Provide Metropolitan Network}};

    id1 --- id20;

    subgraph sid2[Enterprise Building]
    id20[/Router 1\];

    subgraph sid3[Data Center]
    id21[Server];
    id22[Server];
    id23[Server];
    end

    id24[Desktop];
    id25[Laptop];
    id26[Tablet];
    id27[Smartphone];

    id20 --- id21;
    id20 --- id22;
    id20 --- id23;
    id20 --- id24;
    id20 --- id25;
    id20 --- id26;
    id20 --- id27;
    end;

    style sid2 color:#fff,fill:#68f,stroke:#000,stroke-width:2px
    style sid3 color:#fff,fill:#377,stroke:#000,stroke-width:2px

```

---
